Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class AuthMaskingProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  com.mchange.v2.c3p0.impl.AuthMaskingProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class AuthMaskingProperties

extends java.util.Properties

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`AuthMaskingProperties()`
`AuthMaskingProperties(java.util.Properties p)`

Method Summary
`static AuthMaskingProperties` | `fromAnyProperties(java.util.Properties p)`
`java.lang.String` | `toString()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthMaskingProperties

    public AuthMaskingProperties()

### AuthMaskingProperties

    public AuthMaskingProperties(java.util.Properties p)

Method Detail

### fromAnyProperties

    public static AuthMaskingProperties fromAnyProperties(java.util.Properties p)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD